package org.jeecg.modules.resrun.sdk.utils;

import java.awt.image.BufferedImage;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import javax.imageio.ImageIO;
import org.apache.commons.io.FileUtils;
import org.apache.pdfbox.Loader;
import org.apache.pdfbox.pdmodel.PDDocument;
import org.apache.pdfbox.rendering.PDFRenderer;

public class ConvertImage {

   private Float resolution = Float.valueOf(90.0F);
   public static final String IMG_JPE = "jpg";
   public static final String IMG_PNG = "png";


   public List convertImage(byte[] signFileByte) {
      if(signFileByte == null) {
         return null;
      } else {
         ArrayList responseList = new ArrayList();
         PDDocument doc = null;

         try {
            doc = Loader.loadPDF(signFileByte);
            PDFRenderer e = new PDFRenderer(doc);
            int pageCount = doc.getNumberOfPages();
            if(pageCount == 0) {
               return responseList;
            }

            for(int i = 0; i < pageCount; ++i) {
               BufferedImage image = e.renderImageWithDPI(i, this.resolution.floatValue());
               ByteArrayOutputStream stream = new ByteArrayOutputStream();
               ImageIO.write(image, "png", stream);
               byte[] bytes = stream.toByteArray();
               if(bytes != null) {
                  responseList.add(bytes);
               }
            }
         } catch (Exception var11) {
            var11.printStackTrace();
         }

         if(responseList.size() == 0) {
            throw new RuntimeException("图片转换失败");
         } else {
            return responseList;
         }
      }
   }

   public static void main(String[] args) throws IOException {
      byte[] pdf = FileUtils.readFileToByteArray(new File("22222.pdf"));
      List images = (new ConvertImage()).convertImage(pdf);
      System.out.println("图片：" + images.size());
   }
}
